<?php

/**
 * @package CRM
 * @copyright CiviCRM LLC https://civicrm.org/licensing
 *
 * Generated from bigbluebutton/xml/schema/CRM/Bigbluebutton/BbbEventLog.xml
 * DO NOT EDIT.  Generated by CRM_Core_CodeGen
 * (GenCodeChecksum:30c54762d096f35125a16a76e5070554)
 */
use CRM_Bigbluebutton_ExtensionUtil as E;

/**
 * Database access object for the BbbEventLog entity.
 */
class CRM_Bigbluebutton_DAO_BbbEventLog extends CRM_Core_DAO {
  const EXT = E::LONG_NAME;
  const TABLE_ADDED = '';

  /**
   * Static instance to hold the table name.
   *
   * @var string
   */
  public static $_tableName = 'civicrm_bbb_event_log';

  /**
   * Should CiviCRM log any modifications to this table in the civicrm_log table.
   *
   * @var bool
   */
  public static $_log = FALSE;

  /**
   * Unique BbbEventLog ID
   *
   * @var int
   */
  public $id;

  /**
   * BigBlueButton meeting ID
   *
   * @var string
   */
  public $meeting_id;

  /**
   * BigBlueButton internal meeting ID
   *
   * @var string
   */
  public $internal_meeting_id;

  /**
   * BigBlueButton Event
   *
   * @var string
   */
  public $event;

  /**
   * BigBlueButton Event
   *
   * @var text
   */
  public $event_data;

  /**
   * @var timestamp
   */
  public $timestamp;

  /**
   * Class constructor.
   */
  public function __construct() {
    $this->__table = 'civicrm_bbb_event_log';
    parent::__construct();
  }

  /**
   * Returns localized title of this entity.
   *
   * @param bool $plural
   *   Whether to return the plural version of the title.
   */
  public static function getEntityTitle($plural = FALSE) {
    return $plural ? E::ts('Bbb Event Logs') : E::ts('Bbb Event Log');
  }

  /**
   * Returns all the column names of this table
   *
   * @return array
   */
  public static function &fields() {
    if (!isset(Civi::$statics[__CLASS__]['fields'])) {
      Civi::$statics[__CLASS__]['fields'] = [
        'id' => [
          'name' => 'id',
          'type' => CRM_Utils_Type::T_INT,
          'description' => E::ts('Unique BbbEventLog ID'),
          'required' => TRUE,
          'where' => 'civicrm_bbb_event_log.id',
          'table_name' => 'civicrm_bbb_event_log',
          'entity' => 'BbbEventLog',
          'bao' => 'CRM_Bigbluebutton_DAO_BbbEventLog',
          'localizable' => 0,
          'html' => [
            'type' => 'Number',
          ],
          'readonly' => TRUE,
          'add' => NULL,
        ],
        'meeting_id' => [
          'name' => 'meeting_id',
          'type' => CRM_Utils_Type::T_STRING,
          'description' => E::ts('BigBlueButton meeting ID'),
          'maxlength' => 255,
          'size' => CRM_Utils_Type::HUGE,
          'where' => 'civicrm_bbb_event_log.meeting_id',
          'table_name' => 'civicrm_bbb_event_log',
          'entity' => 'BbbEventLog',
          'bao' => 'CRM_Bigbluebutton_DAO_BbbEventLog',
          'localizable' => 0,
          'add' => NULL,
        ],
        'internal_meeting_id' => [
          'name' => 'internal_meeting_id',
          'type' => CRM_Utils_Type::T_STRING,
          'description' => E::ts('BigBlueButton internal meeting ID'),
          'maxlength' => 255,
          'size' => CRM_Utils_Type::HUGE,
          'where' => 'civicrm_bbb_event_log.internal_meeting_id',
          'table_name' => 'civicrm_bbb_event_log',
          'entity' => 'BbbEventLog',
          'bao' => 'CRM_Bigbluebutton_DAO_BbbEventLog',
          'localizable' => 0,
          'add' => NULL,
        ],
        'event' => [
          'name' => 'event',
          'type' => CRM_Utils_Type::T_STRING,
          'title' => E::ts('Event'),
          'description' => E::ts('BigBlueButton Event'),
          'maxlength' => 255,
          'size' => CRM_Utils_Type::HUGE,
          'where' => 'civicrm_bbb_event_log.event',
          'table_name' => 'civicrm_bbb_event_log',
          'entity' => 'BbbEventLog',
          'bao' => 'CRM_Bigbluebutton_DAO_BbbEventLog',
          'localizable' => 0,
          'add' => NULL,
        ],
        'event_data' => [
          'name' => 'event_data',
          'type' => CRM_Utils_Type::T_TEXT,
          'title' => E::ts('Event Data'),
          'description' => E::ts('BigBlueButton Event'),
          'where' => 'civicrm_bbb_event_log.event_data',
          'table_name' => 'civicrm_bbb_event_log',
          'entity' => 'BbbEventLog',
          'bao' => 'CRM_Bigbluebutton_DAO_BbbEventLog',
          'localizable' => 0,
          'add' => NULL,
        ],
        'timestamp' => [
          'name' => 'timestamp',
          'type' => CRM_Utils_Type::T_TIMESTAMP,
          'title' => E::ts('Timestamp'),
          'required' => FALSE,
          'where' => 'civicrm_bbb_event_log.timestamp',
          'default' => 'CURRENT_TIMESTAMP',
          'table_name' => 'civicrm_bbb_event_log',
          'entity' => 'BbbEventLog',
          'bao' => 'CRM_Bigbluebutton_DAO_BbbEventLog',
          'localizable' => 0,
          'add' => NULL,
        ],
      ];
      CRM_Core_DAO_AllCoreTables::invoke(__CLASS__, 'fields_callback', Civi::$statics[__CLASS__]['fields']);
    }
    return Civi::$statics[__CLASS__]['fields'];
  }

  /**
   * Return a mapping from field-name to the corresponding key (as used in fields()).
   *
   * @return array
   *   Array(string $name => string $uniqueName).
   */
  public static function &fieldKeys() {
    if (!isset(Civi::$statics[__CLASS__]['fieldKeys'])) {
      Civi::$statics[__CLASS__]['fieldKeys'] = array_flip(CRM_Utils_Array::collect('name', self::fields()));
    }
    return Civi::$statics[__CLASS__]['fieldKeys'];
  }

  /**
   * Returns the names of this table
   *
   * @return string
   */
  public static function getTableName() {
    return self::$_tableName;
  }

  /**
   * Returns if this table needs to be logged
   *
   * @return bool
   */
  public function getLog() {
    return self::$_log;
  }

  /**
   * Returns the list of fields that can be imported
   *
   * @param bool $prefix
   *
   * @return array
   */
  public static function &import($prefix = FALSE) {
    $r = CRM_Core_DAO_AllCoreTables::getImports(__CLASS__, 'bbb_event_log', $prefix, []);
    return $r;
  }

  /**
   * Returns the list of fields that can be exported
   *
   * @param bool $prefix
   *
   * @return array
   */
  public static function &export($prefix = FALSE) {
    $r = CRM_Core_DAO_AllCoreTables::getExports(__CLASS__, 'bbb_event_log', $prefix, []);
    return $r;
  }

  /**
   * Returns the list of indices
   *
   * @param bool $localize
   *
   * @return array
   */
  public static function indices($localize = TRUE) {
    $indices = [];
    return ($localize && !empty($indices)) ? CRM_Core_DAO_AllCoreTables::multilingualize(__CLASS__, $indices) : $indices;
  }

}
