<?php
/**
 * Copyright (C) 2024  Jaap Jansma (jaap.jansma@civicoop.org)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

namespace Civi\BigBlueButton;

class Credentials {

  public function getEndPointUrl(): string {
    return \Civi::settings()->get('bigbluebutton_url') ?? '';
  }

  public function getSecret(): string {
    return \Civi::settings()->get('bigbluebutton_secret') ?? '';
  }

  public function getWebhookUrl(): string {
    return \Civi::settings()->get('bigbluebutton_webhook_url') ?? '';
  }

  public function enableWebhook(): bool {
    return \Civi::settings()->get('bigbluebutton_enable_webhook') ?? false;
  }

}
