<?php
/**
 * Copyright (C) 2024  Jaap Jansma (jaap.jansma@civicoop.org)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

use CRM_Bigbluebutton_ExtensionUtil as E;

return [
  'bigbluebutton_url' => [
    'group_name' => E::ts('Big Blue Button Preferences'),
    'group' => 'bigbluebutton',
    'name' => 'bigbluebutton_url',
    'title' => E::ts('Big Blue Button URL'),
    'type' => 'String',
    'html_type' => 'text',
    'html_attributes' => [
      'class' => 'huge',
    ],
    'default' => '',
    'is_domain' => 1,
    'description' => E::ts('The url to your Big Blue Button. E.g. https://talk.mysite/bigbluebutton/ Include the slash at the end' ),
    'settings_pages' => ['bigbluebutton' => ['weight' => 10]],
  ],
  'bigbluebutton_secret' => [
    'group_name' => E::ts('Big Blue Button Preferences'),
    'group' => 'bigbluebutton',
    'name' => 'bigbluebutton_secret',
    'title' => E::ts('Big Blue Button Secret'),
    'type' => 'String',
    'html_type' => 'text',
    'html_attributes' => [
      'class' => 'huge',
    ],
    'default' => '',
    'is_domain' => 1,
    'description' => E::ts('The secret key of your big blue button installation.' ),
    'settings_pages' => ['bigbluebutton' => ['weight' => 20]],
  ],
  'bigbluebutton_enable_webhook' => [
    'group_name' => E::ts('Big Blue Button Preferences'),
    'group' => 'bigbluebutton',
    'name' => 'bigbluebutton_enable_webhook',
    'title' => E::ts('Enable Webhook'),
    'type' => 'Boolean',
    'html_type' => 'checkbox',
    'html_attributes' => [],
    'default' => 0,
    'is_domain' => 1,
    'description' => E::ts('Enable the Big Blue Button webhook. If you disable this do not forget to remove the hook under the link Manage Webhooks below.' ),
    'settings_pages' => ['bigbluebutton' => ['weight' => 30]],
  ],
  'bigbluebutton_webhook_url' => [
    'group_name' => E::ts('Big Blue Button Preferences'),
    'group' => 'bigbluebutton',
    'name' => 'bigbluebutton_webhook_url',
    'title' => E::ts('Big Blue Button Alternate Webhook URL'),
    'type' => 'String',
    'html_type' => 'text',
    'html_attributes' => [
      'class' => 'huge',
    ],
    'default' => '',
    'is_domain' => 1,
    'description' => E::ts('The webhook url. Levae empty to use the default. Point to CiviProxy if you are behind a firewall and use civiproxy.' ),
    'settings_pages' => ['bigbluebutton' => ['weight' => 40]],
  ],
];
